## IAnjutaTerminal IAnjutaTerminal — Interface for command line terminals |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-terminal.h>

    #define             IANJUTA_TERMINAL_ERROR
                        IAnjutaTerminal;
                        IAnjutaTerminalIface;
    GQuark              ianjuta_terminal_error_quark        (void);
    pid_t               ianjuta_terminal_execute_command    (IAnjutaTerminal *obj,
                                                             const gchar *directory,
                                                             const gchar *command,
                                                             gchar **environment,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaTerminal

## Prerequisites

IAnjutaTerminal requires GObject.

## Signals

      "child-exited"                                   : Run Last

## Description

## Details

### IANJUTA_TERMINAL_ERROR

    #define IANJUTA_TERMINAL_ERROR ianjuta_terminal_error_quark()

### IAnjutaTerminal

    typedef struct _IAnjutaTerminal IAnjutaTerminal;

### IAnjutaTerminalIface

    typedef struct {
    	GTypeInterface g_iface;

    	/* Signal */
    	void (*child_exited) (IAnjutaTerminal *obj, gint pid,  gint status);

    	pid_t (*execute_command) (IAnjutaTerminal *obj, const gchar* directory,  const gchar *command,  gchar **environment, GError **err);
    } IAnjutaTerminalIface;

### ianjuta_terminal_error_quark ()

    GQuark              ianjuta_terminal_error_quark        (void);

Returns : |

### ianjuta_terminal_execute_command ()

    pid_t               ianjuta_terminal_execute_command    (IAnjutaTerminal *obj,
                                                             const gchar *directory,
                                                             const gchar *command,
                                                             gchar **environment,
                                                             GError **err);

Run the command in a terminal, setting the working directory and environment variables.

`obj` : | Self
`directory` : | Working directory
`command` : | Command executed followed by arguments
`environment` : | List of additional environment variables
`err` : | Error propagation and reporting.
Returns : | Process ID

## Signal Details

### The `"child-exited"` signal

    void                user_function                      (IAnjutaTerminal *ianjutaterminal,
                                                            gint             arg1,
                                                            gint             arg2,
                                                            gpointer         user_data)            : Run Last

`ianjutaterminal` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.